Package org.silverpeas.components.resourcesmanager.servlets

## Class AjaxResourcesManagerServlet

- java.lang.Object
- - jakarta.servlet.GenericServlet
  - - jakarta.servlet.http.HttpServlet
    - - org.silverpeas.components.resourcesmanager.servlets.AjaxResourcesManagerServlet

- All Implemented Interfaces:
    `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

      public class AjaxResourcesManagerServlet
      extends jakarta.servlet.http.HttpServlet

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class jakarta.servlet.http.HttpServlet

      `LEGACY_DO_HEAD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AjaxResourcesManagerServlet()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `doGet​(jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res)` |
    `void` | `doPost​(jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res)` |

    - ### Methods inherited from class jakarta.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, init, service, service`

    - ### Methods inherited from class jakarta.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxResourcesManagerServlet

          public AjaxResourcesManagerServlet()

  - ### Method Detail

    - #### doGet

          public void doGet​(jakarta.servlet.http.HttpServletRequest req,
                            jakarta.servlet.http.HttpServletResponse res)

      Overrides:
        `doGet` in class `jakarta.servlet.http.HttpServlet`

    - #### doPost

          public void doPost​(jakarta.servlet.http.HttpServletRequest req,
                             jakarta.servlet.http.HttpServletResponse res)

      Overrides:
        `doPost` in class `jakarta.servlet.http.HttpServlet`